package com.muyu.cloud.etl.mysql.config;

import com.muyu.cloud.etl.mysql.BaseConfig;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MysqlPoolConfig {
    //id
    public String id;
    //初始化连接数量
    private int initTotal;

    //最大连接数
    private int maxTotal;

    //最长等待时间  毫秒
    private long maxWaitTime;

    //驱动
    private String driverName;

    //url  ip 端口 数据库 编码
    private String ip;
    private int port;
    private String databaseName;
    private String param;

    //用户名
    public String userName;

    //密码
    private String password;

    /**
     *获取数据库连接
     * @return
     */
    public String getUrl(){
        StringBuilder urlSb = new StringBuilder(BaseConfig.MYSQLJDBCPRO);
        urlSb.append(this.ip);
        urlSb.append(":");
        urlSb.append(this.port);
        urlSb.append("/");
        urlSb.append(this.databaseName);
        urlSb.append("?");
        urlSb.append(this.param);
        return urlSb.toString();
    }
}
